POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-6661/databases/testdb/operations/f779414b-e748-4925-8cfe-c8598f7660ae/cancel?api-version=2025-01-01
import java.util.UUID;
/**
* Samples for DatabaseOperations Cancel.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/CancelDatabaseOperation.json
*/
/**
* Sample code: Cancel the database management operation.
*
* @param manager Entry point to SqlServerManager.
*/
public static void cancelTheDatabaseManagementOperation(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getDatabaseOperations().cancelWithResponse("sqlcrudtest-7398", "sqlcrudtest-6661",
"testdb", UUID.fromString("f779414b-e748-4925-8cfe-c8598f7660ae"), com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python cancel_database_operation.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
client.database_operations.cancel(
resource_group_name="sqlcrudtest-7398",
server_name="sqlcrudtest-6661",
database_name="testdb",
operation_id="f779414b-e748-4925-8cfe-c8598f7660ae",
)
# x-ms-original-file: 2025-01-01/CancelDatabaseOperation.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SqlManagementClient } = require("@azure/arm-sql");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to cancels the asynchronous operation on the database.
*
* @summary cancels the asynchronous operation on the database.
* x-ms-original-file: 2025-01-01/CancelDatabaseOperation.json
*/
async function cancelTheDatabaseManagementOperation() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-1111-2222-3333-444444444444";
const client = new SqlManagementClient(credential, subscriptionId);
await client.databaseOperations.cancel(
"sqlcrudtest-7398",
"sqlcrudtest-6661",
"testdb",
"f779414b-e748-4925-8cfe-c8598f7660ae",
);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/CancelDatabaseOperation.json
// this example is just showing the usage of "DatabaseOperations_Cancel" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SqlDatabaseResource created on azure
// for more information of creating SqlDatabaseResource, please refer to the document of SqlDatabaseResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "sqlcrudtest-7398";
string serverName = "sqlcrudtest-6661";
string databaseName = "testdb";
ResourceIdentifier sqlDatabaseResourceId = SqlDatabaseResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName, databaseName);
SqlDatabaseResource sqlDatabase = client.GetSqlDatabaseResource(sqlDatabaseResourceId);
// invoke the operation
Guid operationId = Guid.Parse("f779414b-e748-4925-8cfe-c8598f7660ae");
await sqlDatabase.CancelDatabaseOperationAsync(operationId);
Console.WriteLine("Succeeded");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue